/*
 * $Id: db.h 470 2008-05-10 07:18:14Z jasta $
 *
 * Copyright (C) 2008 Josh Guilfoyle <jasta@devtcg.org>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef __DB_H
#define __DB_H

/*****************************************************************************/

#include <sqlite3.h>

/*****************************************************************************/

extern sqlite3 *db;

gboolean db_init(gboolean use_existing);
gboolean db_open_again(sqlite3 **dbc);
void db_close_again(sqlite3 *dbc);
void db_finish(void);

/*****************************************************************************/

#endif /* __DB_H */
